#include <stdio.h>
#include <stdlib.h>


int main()
{

int a, b;
int res;
scanf("%d%d", &a, &b);

__asm__(
"mov %0, %1\n\t" /* Instrukcija kopira vrednost a 
                     u odrediste u memoriji */
"add %0, %2\n\t" /* Instrukcija dodaje vrednost b 
                     na vrednost odredista u memoriji */
: "=m"(res)       /* Specificiramo da se sa odredisnim
                     operandom barata direktno u memoriji. */
: "r"(a), "r"(b)  /* Alociramo dva registra za vrednosti a i b.*/
);

printf("%d\n", res);

return EXIT_SUCCESS;
}
